<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--

IGAC proyecto SNC

@version 		1.0
@description 	Pantalla que permite registrar el informe en el que comunica los resultados del 
                levantamiento topógraficoen campo.
@cu				CU-NP-CO-211 Realizar informe de visita a terreno con resultado de levantamiento
            
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">.::Sistema Nacional Catastral::. .::Registrar informe con resultado de levantamiento topográfico::.</ui:define>
    <ui:define name="content">

        <h:panelGrid columns="1" width="100%">
            <tramite:tramiteResumen id="tabsgridI"
                                    tramiteParam="#{registroInformeLevantamientoTopo.tramiteSeleccionado}"
                                    muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                    muestraFechaSolicitudParam="true" />
        </h:panelGrid>

        <h:form id="registroInformeLevantamientoTopoForm">
            <h:panelGrid columns="2" cellspacing="10" width="24%">

                <h:outputLabel value="No. Comisión:" styleClass="outputLabelStyle" />

                <p:commandLink
                    value="#{registroInformeLevantamientoTopo.comisionDelTramite.numero}"
                    update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                    oncomplete="docViewerWV.show();statusDialog2.hide()"
                    onstart="statusDialog2.show()"
                    rendered="#{!registroInformeLevantamientoTopo.documentoComision.archivoADescargar}">
                    <f:setPropertyActionListener
                        target="#{previsualizacionDocumento.documentoAlfresco}"
                        value="#{registroInformeLevantamientoTopo.documentoComision}" />
                </p:commandLink>

            </h:panelGrid>

            <p:spacer height="10" />

            <p:messages id="registroInformeLevantamientoTopoMsg"
                        showDetail="false" globalOnly="false" />

            <p:fieldset>
                <h:panelGrid cellspacing="5" cellpadding="5">

                    <h:panelGrid columns="2">
                        <h:panelGrid columns="2" columnClasses="colPequena, colPequena">
                            <h:outputLabel value="Tiempo programado:"
                                           styleClass="outputLabelStyle" />
                            <p:spinner id="spinnerTiempoProg" size="2"
                                       value="#{registroInformeLevantamientoTopo.tiempoProgramado}"
                                       min="0" max="15" style="width:30px;height:10px;" />

                        </h:panelGrid>

                        <h:panelGrid columns="2">
                            <h:panelGrid columns="2" columnClasses="colPequena, colPequena">
                                <h:outputLabel value="Tiempo utilizado:"
                                               styleClass="outputLabelStyle" />
                                <p:spinner id="spinnerTiempoUtil" size="2"
                                           value="#{registroInformeLevantamientoTopo.tiempoUtilizado}"
                                           min="0" max="15" style="width:30px;height:10px;" />

                            </h:panelGrid>
                        </h:panelGrid>
                    </h:panelGrid>
                    <h:panelGrid>
                        <h:panelGroup>
                            <h:outputLabel value="Motivos:" styleClass="outputLabelStyle" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                        </h:panelGroup>
                        <p:editor value="#{registroInformeLevantamientoTopo.motivos}"
                                  id="motivos" widgetVar="motivo" width="400" height="100"
                                  controls="bold italic | style |
                                  bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                  cut copy paste pastetext | print " />
                        <p:message for="motivos" display="icon" id="motivosMsg" />
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:panelGrid>
                            <p:panel header="Trabajo programado" id="trabajoProgramadoPanel">
                                <p:scrollPanel style="width:420px;height:120px">
                                    <h:panelGrid cellpadding="5">
                                        <p:editor
                                            value="#{registroInformeLevantamientoTopo.trabajoProgramado}"
                                            id="trabajoProgramado" disabled="true"
                                            widgetVar="trabajoProgramado" width="400" height="100"
                                            controls="bold italic | style |
                                            bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                            cut copy paste pastetext | print " />
                                    </h:panelGrid>
                                </p:scrollPanel>
                            </p:panel>
                        </h:panelGrid>
                        <h:panelGrid>
                            <p:panel header="Trabajo realizado" id="trabajoRealizadoPanel">
                                <p:scrollPanel style="width:420px;height:120px">
                                    <h:panelGrid cellpadding="5">
                                        <p:editor
                                            value="#{registroInformeLevantamientoTopo.trabajoRealizado}"
                                            id="trabajoRealizado" disabled="true"
                                            widgetVar="trabajoRealizado" width="400" height="100"
                                            controls="bold italic | style |
                                            bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                            cut copy paste pastetext | print " />
                                    </h:panelGrid>
                                </p:scrollPanel>
                            </p:panel>
                        </h:panelGrid>
                    </h:panelGrid>

                    <h:panelGrid columns="2">
                        <h:panelGrid>
                            <h:outputLabel value="Inconvenientes administrativos:"
                                           styleClass="outputLabelStyle" />
                            <p:editor
                                value="#{registroInformeLevantamientoTopo.inconvenientesAdministrativos}"
                                id="inconvenientesAdministrativos"
                                widgetVar="inconvenientesAdministrativos" width="400"
                                height="100"
                                controls="bold italic | style |
                                bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                cut copy paste pastetext | print " />
                        </h:panelGrid>

                        <h:panelGrid>
                            <h:outputLabel value="Resumen de actividades desarrolladas:"
                                           styleClass="outputLabelStyle" />
                            <p:editor
                                value="#{registroInformeLevantamientoTopo.resumenActividades}"
                                id="resumenActividades" disabled="true"
                                widgetVar="resumenActividades" width="400" height="100"
                                controls="bold italic | style |
                                bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                cut copy paste pastetext | print " />
                        </h:panelGrid>
                    </h:panelGrid>
                </h:panelGrid>

                <h:panelGrid>
                    <h:panelGrid columns="2">
                        <h:outputLabel value="Se realizaron tareas adicionales:"
                                       styleClass="outputLabelStyle" />
                        <h:selectOneMenu id="tareasAdicionalesMenu"
                                         label="Tareas adicionales" style="width:40px;"
                                         value="#{registroInformeLevantamientoTopo.tareasAdicionalesSiNo}">
                            <f:selectItems value="#{general.siNo}" />
                            <p:ajax process="@this" update="tareasAdicionalesPanel" />
                        </h:selectOneMenu>
                    </h:panelGrid>

                    <h:panelGrid id="tareasAdicionalesPanel">
                        <h:panelGroup>
                            <h:outputLabel value="Tareas adicionales realizadas:"
                                           styleClass="outputLabelStyle"
                                           rendered="#{registroInformeLevantamientoTopo.tareasAdicionalesBool}" />
                            <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                           rendered="#{registroInformeLevantamientoTopo.tareasAdicionalesBool}" />
                        </h:panelGroup>
                        <p:editor
                            value="#{registroInformeLevantamientoTopo.tareasAdicionales}"
                            rendered="#{registroInformeLevantamientoTopo.tareasAdicionalesBool}"
                            id="tareasAdicionales" disabled="true"
                            widgetVar="tareasAdicionales" width="400" height="100"
                            controls="bold italic | style |
                            bullets numbering | outdent indent | alignleft justify | undo redo  | 
                            cut copy paste pastetext | print " />
                        <p:message for="tareasAdicionales" display="icon"
                                   rendered="#{registroInformeLevantamientoTopo.tareasAdicionalesBool}"
                                   id="tareasAdicionalesMsg" />
                    </h:panelGrid>

                </h:panelGrid>

                <p:fieldset>
                    <legend>
                        <h:outputLabel value="Inconvenientes" styleClass="legendTitle" />
                        <p:spacer width="10" />

                        <h:panelGrid columns="2" cellspacing="5" cellpadding="5">
                            <h:panelGrid columns="2">
                                <p:selectManyCheckbox
                                    value="#{registroInformeLevantamientoTopo.inconvenientesSelected}"
                                    layout="pageDirection">
                                    <f:selectItems
                                        value="#{registroInformeLevantamientoTopo.inconvenientes}" />
                                </p:selectManyCheckbox>
                            </h:panelGrid>
                            <h:panelGrid columns="2">
                                <p:editor
                                    value="#{registroInformeLevantamientoTopo.detalleInconvenientes}"
                                    id="detalleInconvenientes" widgetVar="detalleInconvenientes"
                                    width="400" height="100"
                                    controls="bold italic | style |
                                    bullets numbering | outdent indent | alignleft justify | undo redo  | 
                                    cut copy paste pastetext | print " />
                            </h:panelGrid>
                        </h:panelGrid>
                    </legend>
                </p:fieldset>
                <p:spacer width="10" />
            </p:fieldset>

            <p:spacer width="10" />

            <p:separator style="width:98%;height:3px" />
            <p:spacer width="10" />
            <p:outputPanel layout="block" style="text-align:right"
                           id="panelButtons">

                <p:spacer width="10" />

                <p:commandButton id="guardarBtn" value="Guardar" icon="ui-icon-disk"
                                 title="Guardar información"
                                 update=":registroInformeLevantamientoTopoForm"
                                 action="#{registroInformeLevantamientoTopo.guardar}" />

                <p:spacer width="10" />

                <p:commandButton id="generarDocumentoBtn" value="Generar documento"
                                 disabled="#{!registroInformeLevantamientoTopo.generarDocumentoBool}"
                                 title="Generar documento" icon="ui-icon-script"
                                 update=":registroInformeLevantamientoTopoForm,:docViewer:docViewerCCForm "
                                 action="#{registroInformeLevantamientoTopo.generarDocumento}"
                                 process="@this, panelButtons" oncomplete="visorReporteWV.show();" />

                <p:spacer width="10" />

                <p:commandButton value="Avanzar proceso"
                                 update="registroInformeLevantamientoTopoForm"
                                 disabled="#{!registroInformeLevantamientoTopo.avanzarProcesoBool}"
                                 action="#{registroInformeLevantamientoTopo.avanzarProceso}"
                                 ajax="false" icon="ui-icon-arrowthick-1-e" />

                <p:spacer width="10" />

                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{registroInformeLevantamientoTopo.cerrar}" ajax="false"
                                 immediate="true" />

                <p:spacer width="10" />

            </p:outputPanel>

            <p:spacer width="20" />

        </h:form>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorMemorandosCC id="viewReport"
                                       thisWVName="visorReporteWV"
                                       urlDocumento="#{registroInformeLevantamientoTopo.reporte.urlWebReporte}"
                                       fileContent="#{registroInformeLevantamientoTopo.reporte.streamedContentReporte}"
                                       documentoGenerado="#{registroInformeLevantamientoTopo.reporte ne null}"
                                       cancelButtonVisible="false" radicarButtonVisible="false" />

    </ui:define>
</ui:composition>
